unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, SMIBase, SMI2HTML, Grids, DBGrids, Db, DBTables;

type
  TfrmMain = class(TForm)
    tblCountry: TTable;
    dSrcCountry: TDataSource;
    DBGrid1: TDBGrid;
    SMImportFromHTML1: TSMImportFromHTML;
    btnLoad: TButton;
    btnAbout: TButton;
    btnClose: TButton;
    lblWWW: TLabel;
    procedure btnLoadClick(Sender: TObject);
    procedure btnAboutClick(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

procedure TfrmMain.btnLoadClick(Sender: TObject);
begin
  {copy records from html instead existing}
  SMImportFromHTML1.Mode := imCopy;

  {correspindence between fields and parsed columns}
  SMImportFromHTML1.Mappings.Clear;
  SMImportFromHTML1.Mappings.Add('Name=Field1');
  SMImportFromHTML1.Mappings.Add('Capital=Field2');
  SMImportFromHTML1.Mappings.Add('Continent=Field3');
  SMImportFromHTML1.Mappings.Add('Area=Field4');
  SMImportFromHTML1.Mappings.Add('Population=Field5');

  {file name}
  SMImportFromHTML1.SourceFileName := ExtractFilePath(Application.ExeName) + 'smexport.htm';

  {skip first and second rows in table with data because there are titles and empty row}
  SMImportFromHTML1.RowFirst := 3;

  {start a process}
  SMImportFromHTML1.Execute;
end;

procedure TfrmMain.btnAboutClick(Sender: TObject);
begin
  SMImportFromHTML1.AboutSMI
end;

procedure TfrmMain.btnCloseClick(Sender: TObject);
begin
  Close
end;

end.
